<template>
          <nav class="navigation" >
                <ul class="navigation__list-link" ref="listLink" >
                    <li class="navigation__line" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Подключение</a>
                    </li>
                    <li class="navigation__dot" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Преимущества</a>
                    </li>
                    <li class="navigation__dot" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Функционал</a>
                    </li>
                    <li class="navigation__dot" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Программы</a>
                    </li>
                    <li class="navigation__dot" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Тарифы</a>
                    </li>
                    <li class="navigation__dot" :style="{backgroundColor: colorLine}"></li>
                    <li class="navigation__link">
                        <a href="#" :style="{color: colorLink}">Отзывы</a>
                    </li>
                    <li class="navigation__line" :style="{backgroundColor: colorLine}"></li>
                </ul>
          </nav>
</template>

<script>
    export default {
         mounted(){
        //         let currentY = window.innerHeight / 2;
        //         let scrollPageY = window.pageYOffset;
        //         let elem = document.getElementsByClassName("navigation__list-link")[0]
        //         let x  = Date.now();
        //     setInterval(function () {
        //         const delta = window.pageYOffset - scrollPageY;
        //         console.log( Date.now() - x);
        //         x  = Date.now()
        //         currentY += delta;
        //         elem.style.top = currentY  + "px";

        //         scrollPageY = window.pageYOffset;


        // }, 10);









            // document.addEventListener("scroll", ()=> this.handlerScrollNav())
            document.addEventListener("scroll", (e)=>{
            })
        },
        data(){
           return {
                currentY: window.innerHeight / 2,
                scrollPageY: window.pageYOffset,
            }
        },
        methods:{
            handlerScrollNav(){
                // setTimeout(()=>{
                // console.log('скрол')
                // console.log(this.$refs.listLink);

                const elem = this.$refs.listLink;
                const coords = elem.getBoundingClientRect();
                //  console.log(coords.top);
                this.currentY =  this.currentY - coords.top;
                // const scrollPageY = window.pageYOffset;

            // var currentY2 = 200 - window.innerHeight;

            // var elem2 = window.xx;
                // console.log(window.zz.getBoundingClientRect())
                // console.dir(window.zz)
                // console.dir(window.pageYOffset)

//

                const delta = window.pageYOffset - this.scrollPageY;
                console.log( delta)
                this.currentY += delta;
                // currentY2 += delta;

                elem.style.top = this.currentY  + "px";
                // elem2.style.top = currentY2  + "px";
                this.scrollPageY = window.pageYOffset;
                // },80)

            }

        },
        props: ['colorLink', 'colorLine']
        }
</script>

<style lang="scss" scoped>
   .wrapper {
       background-image: linear-gradient(to left, #31b465, #1c7062);
       .content {
           max-width: 1680px;
           justify-content: center;
           width: 100%;
       }
   }
   .navigation{
       &__list-link{
        //    transition: all  0.2s;

            list-style-type: none;
            text-transform: uppercase;
            width: 95vh;
            padding: 0;
            margin: 0 ;
            display: flex;
            justify-content: space-between;
            // height: 100px;
            transform: rotate(-90deg);
            position: absolute;
            top: 50%;
            left: calc(-50vh + 50px);
            align-items: center;
            z-index: 100;
            @media(max-width:1400px){
                left: calc(-50vh + 65px);
            }
            @media(max-width: 900px){
                display: none;
            }

       }
       &__link {
             margin-left: 5px;
            margin-right: 5px;
           a {
               text-decoration: none;
               color: #fff;
           }
           a:visited {
            //   color: #dedc00;
           }


       }
       &__dot{
           width: 3px;
           height: 3px;
           border-radius: 50%;
           background-color: #dedc00;
           flex-shrink: 1;
       }
       &__line {
           margin-left: 5px;
           margin-right: 5px;
           width: 100px;
           height: 2px;
           background-color: #dedc00;
           flex-shrink: 1;

       }
       .active_nav_link {

           /*color: #95c11f;*/
       }
   }


</style>
